# Class LinkGroup

java.lang.Object
uk.ac.starlink.table.join.LinkGroup

All Implemented Interfaces:
  `Comparable<LinkGroup>`

public class LinkGroup extends Object implements Comparable<LinkGroup>
Defines a group of RowLink objects. This object is just a label, containing a unique ID and a count of how many links there are in the group. It does not contain references to the constituent RowLinks themselves.

Since:
  7 Sep 2005
Author:
  Mark Taylor
See Also:
  - `MatchStarTables.findGroups(Collection)`

## Constructor Summary

Constructors
Constructor
Description
`LinkGroup(int id, int size)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(LinkGroup other)`
`boolean`
`equals(Object o)`
`int`
`getID()`
Returns this group's ID.
`int`
`getSize()`
Returns this group's size.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LinkGroup

public LinkGroup(int id, int size)
Constructor.

Parameters:
  `id` - unique identifier
  `size` - number of objects in this group

## Method Details

### getID

public int getID()
Returns this group's ID.

Returns:
  id

### getSize

public int getSize()
Returns this group's size.

Returns:
  number of items in this group

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(LinkGroup other)

Specified by:
  `compareTo` in interface `Comparable<LinkGroup>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`